package de.intevation.flys.client.shared.model;


/**
 * The default implementation of a {@link Data} item. This class just implements
 * constructors to create instances and the necessary methods of the interface.
 *
 * @author <a href="mailto:ingo.weinzierl@intevation.de">Ingo Weinzierl</a>
 */
public class DefaultData implements Data {

    /** The label of this Data object.*/
    protected String label;

    /** The description.*/
    protected String description;

    /** The type.*/
    protected String type;

    /** The DataItems.*/
    protected DataItem[] items;


    public DefaultData() {
    }


    /**
     * The default constructor to create new DefaultData objects.
     *
     * @param label The label.
     * @param description The description.
     * @param type The type.
     * @param items The DataItems.
     */
    public DefaultData(
        String label, String description, String type, DataItem[] items)
    {
        this.label       = label;
        this.description = description;
        this.type        = type;
        this.items       = items;
    }


    public String getLabel() {
        return label;
    }


    public String getDescription() {
        return description;
    }


    public String getType() {
        return type;
    }


    public DataItem[] getItems() {
        return items;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
